diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
new file mode 100644
index c2bcc5a..6e40199
*** a/src/bin/psql/describe.c
--- b/src/bin/psql/describe.c
*************** describeOneTableDetails(const char *sche
*** 2250,2255 ****
--- 2250,2270 ----
  							  true);
  	}
  
+ 	/*
+ 	 * Print any view options.
+ 	 */
+ 	if (tableinfo.relkind == 'v' && verbose)
+ 	{
+ 		if (tableinfo.reloptions && tableinfo.reloptions[0] != '\0')
+ 		{
+ 			const char *t = _("Options");
+ 
+ 			printfPQExpBuffer(&buf, "%s: %s", t,
+ 							  tableinfo.reloptions);
+ 			printTableAddFooter(&cont, buf.data);
+ 		}
+ 	}
+ 
  	printTable(&cont, pset.queryFout, pset.logfile);
  	printTableCleanup(&cont);
  